BLKDEACTIVATE(8)

NAME
blkdeactivate - utility to deactivate block devices

SYNOPSIS
blkdeactivate [options] [device...]

DESCRIPTION
blkdeactivate utility deactivates block devices. If a device is mounted, the utility can unmount it automatically before trying to deactivate. The utility currently supports device-mapper devices, including LVM volumes. LVM volumes are handled directly using the lvm command. Other device-mapper based devices are handled using the dmsetup command.

OPTIONS

-h, --help
    Display the help text.

-u, --umount
    Unmount a mounted device before trying to deactivate it. Without this option used, a device that is mounted is not deactivated.

-d, --dmoption dm_options
    Comma separated list of device-mapper specific options.

-l, --lvmoption lvm_options
    Comma separated list of LVM specific options.

DM_OPTIONS

retry
    Retry removal several times in case of failure.

force
    Force device removal. See dmsetup(8) for more information.

LVM_OPTIONS

retry
    Retry removal several times in case of failure.

wholevg
    Deactivate the whole LVM Volume Group when processing a Logical Volume. Deactivating Volume Group as a whole takes less time than deactivating each Logical Volume separately.

EXAMPLES

Deactivate all supported block devices found in the system. If a device is mounted, skip its deactivation.

blkdeactivate Deactivate all supported block devices found in the system. If a device is mounted, unmount it first if possible.

blkdeactivate -u Deactivate supplied device together with all its holders. If any of the devices processed is mounted, unmount it first if possible.

blkdeactivate -u /dev/vg/lvol0 Deactivate all supported block devices found in the system. Retry deactivation of device-mapper devices in case the deactivation fails. Deactivate the whole Volume Group at once when processing an LVM Logical Volume.

blkdeactivate -u -d retry -l wholevg Deactivate all supported block devices found in the system. Retry deactivation of device-mapper devices in case the deactivation fails and force removal.

blkdeactivate -d force,retry

SEE ALSO
lsblk(8) umount(8) dmsetup(8) lvm(8)